package org.richfaces;

import org.ajax4jsf.test.base.SeleniumTestBase;
import org.ajax4jsf.test.base.Templates;
import org.testng.Assert;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

public class ComboBoxTest extends SeleniumTestBase {

    public ComboBoxTest() {
        super("http", "localhost", "8080");
    }

    /**
     * This method are invoking before selenium tests started
     */
    @BeforeTest
    @Parameters( { "browser" })
    public void startSelenium(String browser) {
        super.startSelenium(browser);
    }

    /**
     * This method are invoking after selenium tests completed
     */
    @AfterTest
    public void stopSelenium() {
        super.stopSelenium();
    }

    @Test
    public void testComboBoxComponent() throws Exception {
        _testComboBoxComponent(Templates.SIMPLE);
        _testComboBoxComponent(Templates.DATATABLE);
    }

    private void _testComboBoxComponent(Templates template) {
        renderPage("/faces/pages/comboBox/comboBoxTest.xhtml", template);

        String parentId = getParentId() + "_form:";

        String predefinedCBId = parentId + "predefinedcomboboxField";
        String selectItemsCBId = parentId + "selectItemscomboboxField";
        String suggestionValuesCBId = parentId + "suggestionValuescomboboxField";

        writeStatus("check components\\' default labels");

        getTextById(predefinedCBId).startsWith("Select a");
        getTextById(selectItemsCBId).startsWith("Select a");
        getTextById(suggestionValuesCBId).startsWith("Select a");

    }

}
